%define major   1
%define libxres %mklibname xres %{major}
%define devxres %mklibname xres -d

Name: libxres
Summary:  X Resource Information Extension Library
Version: 1.0.7
Release: %mkrel 6
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libxres}
Summary:  X Resource Information Extension Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxres}
X Resource Information Extension Library

%files -n %{libxres}
%{_libdir}/libXRes.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxres}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxres} = %{version}-%{release}
Provides: libxres-devel = %{version}-%{release}
Obsoletes: %{_lib}xres1-devel < 1.0.7-2
Obsoletes: %{_lib}xres1-static-devel < 1.0.7-2

%description -n %{devxres}
Development files for %{name}

%files -n %{devxres}
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_includedir}/X11/extensions/XRes.h
%{_mandir}/man3/XRes*

#-----------------------------------------------------------

%prep
%setup -q -n libXres-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.0.7-6.mga6
+ Revision: 934784
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-5.mga5
+ Revision: 738869
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 681897
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-3.mga4
+ Revision: 532710
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.7-2.mga4
+ Revision: 469361
- drop major from devel pkg name
- drop unneedes requires
- drop old Mdv era conflicts
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.0.7-1.mga4
+ Revision: 433601
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.6-3.mga3
+ Revision: 397176
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 358630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.6-1.mga2
+ Revision: 222202
- new release

* Mon Nov 21 2011 dmorgan <dmorgan> 1.0.5-2.mga2
+ Revision: 170186
- Remove .la files

* Tue Jan 11 2011 pterjan <pterjan> 1.0.5-1.mga1
+ Revision: 5595
- Drop obsolete scriptlets
- imported package libxres


* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 589869
- new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 464043
- New release: 1.0.4

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-4mdv2010.0
+ Revision: 425936
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-3mdv2009.0
+ Revision: 223085
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2008.1
+ Revision: 150870
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 121724
- fix file lsit
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

